/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.vehiclerouting;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

import jp.co.ogis_ri.optaplanner.core.api.solver.MultiSolver;

public class AppMultiTerminateEarlyFrame extends JFrame implements
		ActionListener {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	MultiSolver multiSolver;

	public AppMultiTerminateEarlyFrame(final MultiSolver multiSolver) {

		this.multiSolver = multiSolver;

		this.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		this.setSize(200, 100);
		this.setResizable(false);
		this.setLocationRelativeTo(null);
		this.setTitle("Terminate Early");

		JButton button = new JButton("Terminate Early");
		button.addActionListener(this);

		JPanel p = new JPanel();
		p.add(button);

		this.getContentPane().add(p, BorderLayout.CENTER);

		this.setVisible(true);
	}

	@Override
	public void actionPerformed(final ActionEvent arg0) {

		this.multiSolver.terminateEarly();

		try {
			Thread.sleep(500);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

		this.multiSolver.terminateEarly();
	}

}
