/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.vehiclerouting;

import org.optaplanner.benchmark.api.PlannerBenchmark;
import org.optaplanner.benchmark.api.PlannerBenchmarkFactory;

public class BenchmarkApp {

	public static void main(final String[] args) {

		BenchmarkApp app = new BenchmarkApp();

		app.execute();

	}

	private void execute() {
		PlannerBenchmarkFactory plannerBenchmarkFactory = PlannerBenchmarkFactory
				.createFromXmlResource("jp/co/ogis_ri/optaplanner/vehiclerouting/solver/configBenchmark.xml");
		PlannerBenchmark plannerBenchmark = plannerBenchmarkFactory
				.buildPlannerBenchmark();
		plannerBenchmark.benchmark();
	}
}
